> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an agent by UID



## OpenAPI

````yaml /deploy/api/openapi.json get /api/v1/appuid/{appUid}/agents/uid/{uid}
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/agents/uid/{uid}:
    get:
      tags:
        - Agent Management (deprecated)
      summary: Retrieve an agent by UID
      operationId: getAgentByUid
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: uid
          in: path
          description: Unique ID of the agent
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  uid:
                    type: string
                    description: Unique ID of the agent
                  agentName:
                    type: string
                    description: Name of the agent
                  agentPurpose:
                    type: string
                    description: Purpose of the agent
                  formatting:
                    type: string
                    description: Output formatting instructions
                  agentPersonality:
                    type: string
                    description: Personality of the agent
                  agentPolicyRules:
                    type: string
                    description: Policy rules for the agent
                  iceBreakerMessage:
                    type: string
                    description: >-
                      Invisible instruction to prompt the agent to greet users
                      in a specific way or style
                  live:
                    type: boolean
                    description: Activate the agent and make it live for end users
                    default: false
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO 8601)
                    format: date-time
                  contextUids:
                    maxItems: 30
                    type: array
                    description: Array of existing context Uids (max 30)
                    items:
                      maxLength: 30
                      minLength: 1
                      type: string
                  mcpserverUids:
                    maxItems: 5
                    type: array
                    description: Array of existing MCP server Uids (max 5)
                    items:
                      maxLength: 20
                      minLength: 20
                      type: string
                  tags:
                    maxItems: 10
                    type: array
                    description: Array of tags (max 10)
                    items:
                      maxLength: 60
                      minLength: 1
                      type: string
                  access:
                    type: string
                    enum:
                      - openAccess
                      - restrictedAccess
        '404':
          description: Agent not found
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````